summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-05-12 11:07:04 +0000
committerMike Frysinger <vapier@gentoo.org>2007-05-12 11:07:04 +0000
commit3ae655caa3b940c8c5c17b082050fa8c0782ba22 (patch)
tree0ab3b2a946827e5f095ff33d1a75cb47255b5b66 /init.d
parent81ccc674462dea1609664f0b887c5729dac9ba6d (diff)
downloadopenrc-3ae655caa3b940c8c5c17b082050fa8c0782ba22.tar.gz
openrc-3ae655caa3b940c8c5c17b082050fa8c0782ba22.tar.bz2
openrc-3ae655caa3b940c8c5c17b082050fa8c0782ba22.tar.xz
mount nfsd on /proc/fs/nfs automatically
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/localmount10
1 files changed, 10 insertions, 0 deletions
diff --git a/init.d/localmount b/init.d/localmount
index f57cfba..2a17b11 100755
--- a/init.d/localmount
+++ b/init.d/localmount
@@ -73,6 +73,16 @@ start() {
fi
fi
+ # Setup Kernel Support for the NFS daemon status
+ if [ -d /proc/fs/nfsd ] ; then
+ if grep -qs nfsd /proc/filesystems ; then
+ ebegin "Mounting nfsd filesystem"
+ mount -t nfsd -o nodev,noexec,nosuid \
+ nfsd /proc/fs/nfsd
+ eend $?
+ fi
+ fi
+
# Setup Kernel Support for miscellaneous Binary Formats
if [ -d /proc/sys/fs/binfmt_misc ] ; then
if grep -qs binfmt_misc /proc/filesystems ; then